Subject: Re: [PATCH v7 4/5] merge/pull Check for untrusted good GPG signatures

From: Thomas Rast <[email-masked]>
Date: Sun, 31 Mar 2013 17:27:56 +0200

Sebastian Götte <[email-masked]> writes:

> On 03/31/2013 05:03 PM, Thomas Rast wrote:
>>>>  } sigcheck_gpg_status[] = {
>>>>  	{ 'G', "[GNUPG:] GOODSIG " },
>>>>  	{ 'B', "[GNUPG:] BADSIG " },
>>>> +	{ 'U', "[GNUPG:] TRUST_NEVER" },
>>>> +	{ 'U', "[GNUPG:] TRUST_UNDEFINED" },
[...]
>> And furthermore, to use an enum instead of a char so that you can easily
>> spell out the details in the code?  This also has the advantage that the
>> compiler can check that your 'switch'es cover all cases.
> This char is actually from Junios original code. I think we can afford
> three chars. This could be changed if we ever need more than that.

*shrug*

I'm tempted to count the above as an argument in favor of the enum,
since there are in fact *four* chars... 'N' also counts. ;-)

But either way... I don't care too deeply and I don't know this corner
of the code.  I just came here because of the valgrind discovery.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch